## dpm 1.2.0

=== DESCRIPTION ===
Package: dpm
Type: Package
Title: Dynamic Panel Models Fit with Maximum Likelihood
Version: 1.2.0
Authors@R: c(person(given = "Jacob A.",
  family = "Long", email = "jacob.long@sc.edu", 
  role = c("aut", "cre"), comment = c(ORCID = "0000-0002-1582-6214")),
  person(given = "Richard A.", family = "Williams", role = "aut"),
  person(given = "Paul D.", family = "Allison", role = "aut",
  comment = c(ORCID = "0000-0002-0646-5242")))
Description: Implements the dynamic panel models described by Allison, Williams,
 and Moral-Benito (2017 <doi:10.1177/2378023117710578>) in R. 
 This class of models uses structural equation modeling to specify dynamic 
 (lagged dependent variable) models with fixed effects for panel data. 
 Additionally, models may have predictors that are only weakly exogenous, i.e.,
 are affected by prior values of the dependent variable. Options also allow for
 random effects, dropping the lagged dependent variable, and a number of other 
 specification choices.
License: MIT + file LICENSE
BugReports: https://github.com/jacob-long/dpm/issues
URL: https://github.com/jacob-long/dpm
Encoding: UTF-8
Depends: R (>= 2.10), lavaan, methods
Imports: panelr, stringr, rlang, dplyr, crayon, Formula, jtools (>=
        2.0.1), stats4
Suggests: broom, tibble, covr, testthat
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2024-01-12 18:34:00 UTC; jacoblong
Author: Jacob A. Long [aut, cre] (<https://orcid.org/0000-0002-1582-6214>),
  Richard A. Williams [aut],
  Paul D. Allison [aut] (<https://orcid.org/0000-0002-0646-5242>)
Maintainer: Jacob A. Long <jacob.long@sc.edu>
Repository: CRAN
Date/Publication: 2024-01-16 14:00:08 UTC

## dpm 1.7.4.7

=== rpm/Makefile ===
#
# Copyright (c) Members of the EGEE Collaboration. 2006-2009.
# See http://public.eu-egee.org/partners/ for details on 
# the copyright holders.
# For license conditions see the license file or
# http://www.apache.org/licenses/LICENSE-2.0
#
# Authors: 
#      Akos Frohner <Akos.Frohner@cern.ch>
#
# Makefile to build all RPMs in one go.

default: all

OS=$(shell ../scripts/get-platform-os)

ifndef VERSION
include ../VERSION
endif

ifndef RELEASE_SUFFIX
RELEASE_SUFFIX=$(RC)sec.$(OS)
endif

ifeq ($(GLOBUS_LOCATION),)
GLOBUS_LOCATION=$(shell awk '/^.define.*GlobusLocation/ { print $$3 }' ../config/site.def)
endif

ifndef ORACLE_INSTANTCLIENT_LOCATION
ORACLE_INSTANTCLIENT_LOCATION=/usr
endif
ifndef ORACLE_INSTANTCLIENT_VERSION
ORACLE_INSTANTCLIENT_VERSION=10.2.0.3
endif
ORACLE_INSTANTCLIENT_LIBDIR=$(ORACLE_INSTANTCLIENT_LOCATION)/lib/oracle/$(ORACLE_INSTANTCLIENT_VERSION)/client/lib/

PYTHON_VERSION=$(shell python -c "import sys; print sys.version[:3]")

all: rpm-lcg-dm-common rpm-LFC-mysql rpm-DPM-mysql rpm-DPM-dicom-mysql
ifneq ($(PROC_INIT),)
all: rpm-LFC-oracle rpm-DPM-oracle
endif
all:
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

install: install-lcg-dm-common install-LFC-mysql install-DPM-mysql

client: rpm-lcg-dm-common rpm-LFC-client rpm-DPM-client
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

client-install: install-lcg-dm-common install-LFC-client install-DPM-client

py25: rpm-LFC-py25 rpm-DPM-py25
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

check-proc:
	source $(PROC_INIT); which proc

SOURCE_DIR=LCG-DM-$(VERSION)
SOURCE_TAR=$(SOURCE_DIR).tar.gz

$(SOURCE_TAR):
	cd ..; \
	rm -rf $(SOURCE_DIR); \
	mkdir $(SOURCE_DIR); \
	cp -rp Imakefile Makefile.ini Makefile.ini.Win32 README VERSION \
		config imake test setosflags configure doc scripts \
		h lib shlib common ns rfio dpm srmv1 srmv2 srmv2.2 security \
		dli dicomcopy dpmcopy $(SOURCE_DIR); \
	find $(SOURCE_DIR) -name .svn -print0 | xargs -0 rm -rf ; \
	tar -czf $(SOURCE_TAR) $(SOURCE_DIR); \
	rm -rf $(SOURCE_DIR)
	mv ../$(SOURCE_TAR) .

source: $(SOURCE_TAR)

build-rpm: source
	mkdir -p build-rpm
	mkdir -p build-rpm/BUILD
	mkdir -p build-rpm/RPMS
	mkdir -p build-rpm/SRPMS
	mkdir -p build-rpm/SOURCES
	mkdir -p build-rpm/SPECS
	cp $(SOURCE_TAR) build-rpm/SOURCES
	for spec in *.spec; do \
		sed -e 's/@VERSION@/$(VERSION)/g;' \
			-e 's/@RELEASE@/$(RELEASE)/g;' \
			-e 's/@SECURITY@/$(RELEASE_SUFFIX)/g;' \
			-e 's/@PYTHON.VERSION@/$(PYTHON_VERSION)/g;' \
			-f $(OS).spec.requires $$spec >build-rpm/SPECS/$$spec; \
	done

###############################################################################
# common
###############################################################################

BUILD_COMMON=build-rpm/BUILD/lcg-dm-common-$(VERSION)

rpm-lcg-dm-common $(BUILD_COMMON): build-rpm 
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/lcg-dm-common.spec

install-lcg-dm-common: $(BUILD_COMMON)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_COMMON); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# LFC client
###############################################################################

BUILD_LFC_CLIENT=build-rpm/BUILD/LFC-client-$(VERSION)

rpm-LFC-client $(BUILD_LFC_CLIENT): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-client.spec

install-LFC-client: $(BUILD_LFC_CLIENT)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_LFC_CLIENT); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM client
###############################################################################

BUILD_DPM_CLIENT=build-rpm/BUILD/DPM-client-$(VERSION)

rpm-DPM-client $(BUILD_DPM_CLIENT): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-client.spec

install-DPM-client: $(BUILD_DPM_CLIENT)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_DPM_CLIENT); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# LFC MySQL
###############################################################################

BUILD_LFC_MYSQL=build-rpm/BUILD/LFC-mysql-$(VERSION)

rpm-LFC-mysql $(BUILD_LFC_MYSQL): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-mysql.spec

install-LFC-mysql: $(BUILD_LFC_MYSQL)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_LFC_MYSQL); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM MySQL
###############################################################################

BUILD_DPM_MYSQL=build-rpm/BUILD/DPM-mysql-$(VERSION)

rpm-DPM-mysql $(BUILD_DPM_MYSQL): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-mysql.spec

install-DPM-mysql: $(BUILD_DPM_MYSQL)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_DPM_MYSQL); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM-DICOM MySQL
###############################################################################

rpm-DPM-dicom-mysql: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-dicom.spec

###############################################################################
# LFC Oracle
###############################################################################

rpm-LFC-oracle: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); \
	source $(PROC_INIT); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-oracle.spec

###############################################################################
# DPM Oracle
###############################################################################

rpm-DPM-oracle: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); \
	source $(PROC_INIT); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-oracle.spec

###############################################################################
# LFC PostgreSQL
###############################################################################

rpm-LFC-postgres: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-postgres.spec

###############################################################################
# DPM PostgreSQL
###############################################################################

rpm-DPM-postgres: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-postgres.spec

###############################################################################
# LFC Python 2.5
###############################################################################

rpm-LFC-py25: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-interfaces-py25.spec

###############################################################################
# DPM Python 2.5
###############################################################################

rpm-DPM-py25: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-interfaces-py25.spec

clean:
	-rm -rf ../RPMS build-rpm $(SOURCE_TAR)

=== debian/changelog ===
dpm (1.7.4.7-1build1) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:02:25 +0000

dpm (1.7.4.7-1) unstable; urgency=low

  * Update to version 1.7.4.7
  * Dropped patches lcgdm-typo.patch and lcgdm-man.patch (fixed upstream)
  * Fix bashisms (Closes: #581081, #581082, #581083, #581084, #581085, #581086,
    #581096)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 06 Jun 2010 14:30:32 +0200

dpm (1.7.4.4-1) unstable; urgency=low

  * Update to version 1.7.4.4
  * Dropped patches lcgdm-installpermissions.patch, lcgdm-rules.patch,
    lcgdm-initscripts.patch and lcgdm-posinc.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Apr 2010 13:38:13 +0200

dpm (1.7.4.1-3) unstable; urgency=low

  * Correct install script typos (fixes piuparts errors)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Jan 2010 18:40:02 +0100

dpm (1.7.4.1-2) unstable; urgency=low

  * More porting fixes for GNU/Hurd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Jan 2010 00:18:31 +0100

dpm (1.7.4.1-1) unstable; urgency=low

  * Update to version 1.7.4.1
  * More porting fixes for GNU/Hurd and kfreebsd
  * Dropped patch lcgdm-missing-swig-includes.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 05 Jan 2010 08:53:20 +0100

dpm (1.7.3.1-5) unstable; urgency=low

  * Fix porting issues for GNU/Hurd and kfreebsd
  * Extend package descriptions (Closes: #561722)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 27 Dec 2009 14:59:19 +0100

dpm (1.7.3.1-4) unstable; urgency=low

  * Add missing include statements in swig interface files
  * Use Debian's imake instead of bundled version
  * Extend the dpm-client package description (Closes: #557884)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 07 Dec 2009 14:38:11 +0100

dpm (1.7.3.1-3) unstable; urgency=low

  * Don't use /bin/false as shell - doesn't work with su
  * Fix bad directory used for dlopening plugins

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Nov 2009 17:27:52 +0100

dpm (1.7.3.1-2) unstable; urgency=low

  * Update copyright file (Closes: #552331)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 18 Nov 2009 15:06:04 +0100

dpm (1.7.3.1-1) UNRELEASED; urgency=low

  * Initial release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 26 Sep 2009 05:18:22 +0200

=== debian/control ===
Source: dpm
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libmysqlclient-dev | libmysqlclient16-dev | libmysqlclient15-dev | libmysqlclient12-dev | libmysqlclient10-dev, uuid-dev, liblcgdm-dev, swig, libperl-dev, perl, python-dev, python-support, xutils-dev
XS-Python-Version: current
Standards-Version: 3.8.4
Section: libs
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dpm
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/dpm
Homepage: http://glite.web.cern.ch/glite/

Package: libdpm1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM)
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package contains the runtime DPM client library.

Package: libdpm-dev
Section: libdevel
Architecture: any
Depends: libdpm1 (= ${binary:Version}), liblcgdm-dev, ${misc:Depends}
Description: DPM development libraries and header files
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package contains the development libraries and header files for DPM.

Package: dpm-client
Section: net
Architecture: any
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) client
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides the command line interfaces for the DPM.

Package: libdpm-perl
Section: perl
Architecture: any
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) perl bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides Perl bindings for the DPM client library.

Package: python-dpm
Provides: ${python:Provides}
Section: python
Architecture: any
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Disk Pool Manager (DPM) python bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides Python bindings for the DPM client library.

Package: dpm-mysql
Section: net
Architecture: any
Depends: adduser, ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM server that uses MySQL as its database
 backend.

Package: dpm-mysql-nameserver
Section: net
Architecture: any
Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
Description: DPM nameserver server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM nameserver that uses MySQL as its
 database backend.

Package: dpm-mysql-copyd
Section: net
Architecture: any
Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
Description: DPM copy server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM copy server that uses MySQL as its
 database backend.

Package: dpm-mysql-srmv1
Section: net
Architecture: any
Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
Description: DPM SRM version 1 server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM version 1 server that uses MySQL as
 its database backend.

Package: dpm-mysql-srmv2
Section: net
Architecture: any
Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
Description: DPM SRM version 2 server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM version 2 server that uses MySQL as
 its database backend.

Package: dpm-mysql-srmv22
Section: net
Architecture: any
Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
Description: DPM SRM version 2.2 server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM version 2.2 server that uses MySQL as
 its database backend.

Package: dpm-rfiod
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DPM RFIO server
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provide a Remote File IO (RFIO) server for DPM.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

include /usr/share/quilt/quilt.make

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_initrddir = $(_sysconfdir)/init.d
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

VERSION=1.7.4.7

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

configure: configure-stamp
	:

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir

	for f in config/site.def config/linux.cf config/Project.tmpl \
		 lib/Imakefile shlib/Imakefile ; do \
	    [ ! -e $$f.save ] && cp -p $$f $$f.save || : ; \
	done

	sed 's!@@LIBDIR@@!$(_libdir)!' -i security/Csec_api_loader.c

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CFLAGS) -fno-strict-aliasing -Wl,-z,defs/' \
	    -i config/linux.cf

	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure dpm --with-mysql \
		--libdir=lib \
		--with-gsoap-location=$(_prefix) \
		--with-gsoap-version=$$gsoapversion \
		--with-voms-location=$(_prefix) \
		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
		--with-sysconf-dir='$$(prefix)/../etc'

	sed -e '/^SECURITYDIR =/d' -e '/^COMMONDIR =/d' -i config/Project.tmpl
	sed -e 's/:.*(lcgdm).*/:/' -i lib/Imakefile
	sed -e 's/:.*(lcgdm).*/:/' -i shlib/Imakefile

	make -f Makefile.ini Makefiles

	cd shlib && ln -s /usr/lib/liblcgdm.so* .

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE) prefix=$(_prefix)

	touch $@

unpatch: cleanup

clean: unpatch
	:

cleanup:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) clobber ; fi

	for f in config/site.def config/linux.cf config/Project.tmpl \
		 lib/Imakefile shlib/Imakefile ; do \
	    [ -e $$f.save ] && mv $$f.save $$f || : ; \
	done

	sed 's!$(_libdir)!@@LIBDIR@@!' -i security/Csec_api_loader.c

	rm -f imake/imake imake/imake.o imake/ccimake

	find . '(' -name Makefile -a '!' -path */scripts/* ')' -exec rm {} ';'

	rm -f config.status

	rm -f dpmcopy/dpm_mysql_ifce.c
	rm -f dpmcopy/dpm_copyfile.c

	rm -f h/patchlevel.h
	rm -f dpm/dpm.pm dpm/dpm_perlwrap.c
	rm -f dpm/dpm.py dpm/dpm_wrap.c
	rm -f dpm/dpm2.py dpm/dpm2_wrap.c
	rm -f NSCONFIG

	rm -f shlib/liblcgdm.so*

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	mkdir -p debian/libdpm-dev$(_docdir)
	ln -s libdpm1 debian/libdpm-dev$(_docdir)/libdpm-dev
	dh_clean -k

	$(MAKE) prefix=$(INSTALLDIR)$(_prefix) install
	$(MAKE) prefix=$(INSTALLDIR)$(_prefix) install.man

	sed 's!/usr/bin/env python!/usr/bin/python!' \
	    -i $(INSTALLDIR)$(_bindir)/dpm-listspaces

	mv $(INSTALLDIR)$(_datadir)/DPM $(INSTALLDIR)$(_datadir)/dpm

	mkdir -p $(INSTALLDIR)$(_sysconfdir)/init.d
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/default
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/logrotate.d
	mkdir -p $(INSTALLDIR)$(_sbindir)
	mkdir -p $(INSTALLDIR)$(_mandir)/man8

	mkdir -p $(INSTALLDIR)$(_libdir)/dpm-mysql
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/dpm-mysql

	# dpm startup script
	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
	    -e '/LD_LIBRARY_PATH/d' \
	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpm > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpm.init
	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpm.init
	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpm

	# dpm configuration file
	sed -e 's!/opt/lcg!!g' \
	    -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
	    -e 's/\(^RUN_DPMDAEMON=\).*/\1"no"/' \
	    $(INSTALLDIR)$(_sysconfdir)/dpm.conf.templ > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpm.conf
	rm $(INSTALLDIR)$(_sysconfdir)/dpm.conf.templ

	# dpm log directory and log rotation configuration
	mkdir -p $(INSTALLDIR)$(_localstatedir)/log/dpm
	install -m 644 dpm/dpm.logrotate \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpm.logrotate

	# dpm binary and man page
	mv $(INSTALLDIR)$(_bindir)/dpm \
	   $(INSTALLDIR)$(_libdir)/dpm-mysql/dpm
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    -e 's/dpm-shutdown(1)/dpm-shutdown(8)/g' \
	    $(INSTALLDIR)$(_mandir)/man1/dpm.1 | gzip -9 -n -c > \
	    $(INSTALLDIR)$(_libdir)/dpm-mysql/dpm.8.gz
	rm $(INSTALLDIR)$(_mandir)/man1/dpm.1

	mv $(INSTALLDIR)$(_sysconfdir)/DPMCONFIG.templ \
	   $(INSTALLDIR)$(_libdir)/dpm-mysql/DPMCONFIG.templ

	# dpm-shutdown binary and man page
	mv $(INSTALLDIR)$(_bindir)/dpm-shutdown \
	   $(INSTALLDIR)$(_libdir)/dpm-mysql/dpm-shutdown
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    $(INSTALLDIR)$(_mandir)/man1/dpm-shutdown.1 | gzip -9 -n -c > \
	    $(INSTALLDIR)$(_libdir)/dpm-mysql/dpm-shutdown.8.gz
	rm $(INSTALLDIR)$(_mandir)/man1/dpm-shutdown.1

	# dpnsdaemon startup script
	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
	    -e '/LD_LIBRARY_PATH/d' \
	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpnsdaemon > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpnsdaemon.init
	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpnsdaemon.init
	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpnsdaemon

	# dpnsdaemon configuration file
	sed -e 's!/opt/lcg!!g' \
	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
	    -e 's/\(^RUN_DPNSDAEMON=\).*/\1"no"/' \
	    $(INSTALLDIR)$(_sysconfdir)/dpnsdaemon.conf.templ > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpnsdaemon.conf
	rm $(INSTALLDIR)$(_sysconfdir)/dpnsdaemon.conf.templ

	# dpnsdaemon log directory and log rotation configuration
	mkdir -p $(INSTALLDIR)$(_localstatedir)/log/dpns
	install -m 644 ns/dpnsdaemon.logrotate \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpnsdaemon.logrotate

	# dpnsdaemon binary and man page
	mv $(INSTALLDIR)$(_bindir)/dpnsdaemon \
	   $(INSTALLDIR)$(_libdir)/dpm-mysql/dpnsdaemon
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    -e 's!/opt/lcg!!g' \
	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
	    -e 's/dpns-shutdown(1)/dpns-shutdown(8)/g' \
	    $(INSTALLDIR)$(_mandir)/man1/dpnsdaemon.1 | gzip -9 -n -c > \
	    $(INSTALLDIR)$(_libdir)/dpm-mysql/dpnsdaemon.8.gz
	rm $(INSTALLDIR)$(_mandir)/man1/dpnsdaemon.1

	mv $(INSTALLDIR)$(_sysconfdir)/NSCONFIG.templ \
	   $(INSTALLDIR)$(_libdir)/dpm-mysql/DPNSCONFIG.templ

	# dpns-shutdown binary and man page
	mv $(INSTALLDIR)$(_bindir)/dpns-shutdown \
	   $(INSTALLDIR)$(_libdir)/dpm-mysql/dpns-shutdown
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    $(INSTALLDIR)$(_mandir)/man1/dpns-shutdown.1 | gzip -9 -n -c > \
	    $(INSTALLDIR)$(_libdir)/dpm-mysql/dpns-shutdown.8.gz
	rm $(INSTALLDIR)$(_mandir)/man1/dpns-shutdown.1

	# dpmcopyd startup script
	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
	    -e '/LD_LIBRARY_PATH/d' \
	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpmcopyd > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpmcopyd.init
	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpmcopyd.init
	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpmcopyd

	# dpmcopyd configuration file
	sed -e 's!/opt/lcg!!g' \
	    -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
	    -e 's/\(^DPM_HOST=\).*/\1`hostname -f`/' \
	    -e 's/\(^RUN_DPMCOPYDAEMON=\).*/\1"no"/' \
	    $(INSTALLDIR)$(_sysconfdir)/dpmcopyd.conf.templ > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpmcopyd.conf
	rm $(INSTALLDIR)$(_sysconfdir)/dpmcopyd.conf.templ

## dpm 1.8.0.1

=== debian/changelog ===
dpm (1.8.0.1-1) unstable; urgency=low

  * Update to version 1.8.0.1
  * Dropped patch lcgdm-bashisms patch (fixed upstream)
  * Add database schema migration to maintainer scripts
  * Fix broken condrestart action in startup scripts
  * Fix race condition in Makefile

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 15 May 2011 21:23:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: dpm
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libmysqlclient-dev | libmysqlclient16-dev | libmysqlclient15-dev | libmysqlclient12-dev | libmysqlclient10-dev, uuid-dev, liblcgdm-dev, swig, libperl-dev, perl, python-dev, python-support, xutils-dev
+Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev (>= 1.3.4.0), libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libmysqlclient-dev | libmysqlclient16-dev | libmysqlclient15-dev | libmysqlclient12-dev | libmysqlclient10-dev, uuid-dev, liblcgdm-dev (>= 1.8.0.1), swig, libperl-dev, perl, python-dev, python-support, xutils-dev
 XS-Python-Version: current
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Section: libs
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dpm
@@ -64,7 +64,7 @@
 Package: dpm-mysql
 Section: net
 Architecture: any
-Depends: adduser, ${shlibs:Depends}, ${misc:Depends}
+Depends: adduser, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: Disk Pool Manager (DPM) server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -75,7 +75,7 @@
 Package: dpm-mysql-nameserver
 Section: net
 Architecture: any
-Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client
 Description: DPM nameserver server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -86,7 +86,7 @@
 Package: dpm-mysql-copyd
 Section: net
 Architecture: any
-Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM copy server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -97,7 +97,7 @@
 Package: dpm-mysql-srmv1
 Section: net
 Architecture: any
-Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM SRM version 1 server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -108,7 +108,7 @@
 Package: dpm-mysql-srmv2
 Section: net
 Architecture: any
-Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM SRM version 2 server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -119,7 +119,7 @@
 Package: dpm-mysql-srmv22
 Section: net
 Architecture: any
-Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-mysql, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM SRM version 2.2 server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-VERSION=1.7.4.7
+VERSION=1.8.0.1
 
 DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

## dpm 1.8.1.2

=== debian/changelog ===
dpm (1.8.1.2-1) unstable; urgency=low

  * Update to version 1.8.1.2
  * Drop patches lcgdm-withsoname.patch and lcgdm-gsoap.patch (upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Sep 2011 18:25:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dpm
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev (>= 1.3.4.0), libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libmysqlclient-dev | libmysqlclient16-dev | libmysqlclient15-dev | libmysqlclient12-dev | libmysqlclient10-dev, uuid-dev, liblcgdm-dev (>= 1.8.0.1), swig, libperl-dev, perl, python-dev, python-support, xutils-dev
+Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev (>= 1.3.4.2), libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev (>= 2), gsoap, libmysqlclient-dev | libmysqlclient16-dev | libmysqlclient15-dev | libmysqlclient12-dev | libmysqlclient10-dev, uuid-dev, liblcgdm-dev (>= 1.8.1.2), swig, libperl-dev, perl, python-dev, python-support, xutils-dev
 XS-Python-Version: current
 Standards-Version: 3.9.2
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-VERSION=1.8.0.1
+VERSION=1.8.1.2
 
 DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
 
@@ -47,8 +47,6 @@
 		 lib/Imakefile shlib/Imakefile ; do \
 	    [ ! -e $$f.save ] && cp -p $$f $$f.save || : ; \
 	done
-
-	sed 's!@@LIBDIR@@!$(_libdir)!' -i security/Csec_api_loader.c
 
 	# The code violates the strict aliasing rules all over the place...
 	# Need to use -fnostrict-aliasing so that the -O2 optimization in
@@ -59,13 +57,13 @@
 	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
 	./configure dpm --with-mysql \
 		--libdir=lib \
-		--with-gsoap-location=$(_prefix) \
 		--with-gsoap-version=$$gsoapversion \
-		--with-voms-location=$(_prefix) \
 		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
 		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
 		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
-		--with-sysconf-dir='$$(prefix)/../etc'
+		--with-sysconf-dir='$$(prefix)/../etc' \
+		--with-emi \
+	        --without-argus
 
 	sed -e '/^SECURITYDIR =/d' -e '/^COMMONDIR =/d' -i config/Project.tmpl
 	sed -e 's/:.*(lcgdm).*/:/' -i lib/Imakefile
@@ -77,13 +75,19 @@
 
 	touch $@
 
-build: build-stamp
+build: build-indep build-arch
+	:
+
+build-indep: build-stamp
+	:
+
+build-arch: build-stamp
 	:
 
 build-stamp: configure-stamp
 	dh_testdir
 
-	$(MAKE) prefix=$(_prefix)
+	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)"
 
 	touch $@
 
@@ -102,8 +106,6 @@
 		 lib/Imakefile shlib/Imakefile ; do \
 	    [ -e $$f.save ] && mv $$f.save $$f || : ; \
 	done
-
-	sed 's!$(_libdir)!@@LIBDIR@@!' -i security/Csec_api_loader.c
 
 	rm -f imake/imake imake/imake.o imake/ccimake
 
@@ -133,8 +135,8 @@
 	ln -s libdpm1 debian/libdpm-dev$(_docdir)/libdpm-dev
 	dh_clean -k
 
-	$(MAKE) prefix=$(INSTALLDIR)$(_prefix) install
-	$(MAKE) prefix=$(INSTALLDIR)$(_prefix) install.man
+	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
+		prefix=$(INSTALLDIR)$(_prefix) install install.man
 
 	sed 's!/usr/bin/env python!/usr/bin/python!' \
 	    -i $(INSTALLDIR)$(_bindir)/dpm-listspaces
@@ -153,15 +155,15 @@
 	# dpm startup script
 	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
 	    -e '/LD_LIBRARY_PATH/d' \
-	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
+	    -e 's!\$$PREFIX/bin!\$$PREFIX/sbin!' \
+	    -e 's!\$$PREFIX/etc!/etc!' \
 	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpm > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpm.init
 	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpm.init
 	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpm
 
 	# dpm configuration file
-	sed -e 's!/opt/lcg!!g' \
-	    -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
+	sed -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
 	    -e 's/\(^RUN_DPMDAEMON=\).*/\1"no"/' \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm.conf.templ > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpm.conf
@@ -195,7 +197,8 @@
 	# dpnsdaemon startup script
 	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
 	    -e '/LD_LIBRARY_PATH/d' \
-	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
+	    -e 's!\$$PREFIX/bin!\$$PREFIX/sbin!' \
+	    -e 's!\$$PREFIX/etc!/etc!' \
 	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
 	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpnsdaemon > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpnsdaemon.init
@@ -203,8 +206,7 @@
 	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpnsdaemon
 
 	# dpnsdaemon configuration file
-	sed -e 's!/opt/lcg!!g' \
-	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
+	sed -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
 	    -e 's/\(^RUN_DPNSDAEMON=\).*/\1"no"/' \
 	    $(INSTALLDIR)$(_sysconfdir)/dpnsdaemon.conf.templ > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpnsdaemon.conf
@@ -240,18 +242,19 @@
 	# dpmcopyd startup script
 	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
 	    -e '/LD_LIBRARY_PATH/d' \
-	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
+	    -e 's!\$$PREFIX/bin!\$$PREFIX/sbin!' \
+	    -e 's!\$$PREFIX/etc!/etc!' \
 	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpmcopyd > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpmcopyd.init
 	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpmcopyd.init
 	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpmcopyd
 
 	# dpmcopyd configuration file
-	sed -e 's!/opt/lcg!!g' \
-	    -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
+	sed -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
 	    -e 's/\(^DPM_HOST=\).*/\1`hostname -f`/' \
 	    -e 's/\(^RUN_DPMCOPYDAEMON=\).*/\1"no"/' \
 	    $(INSTALLDIR)$(_sysconfdir)/dpmcopyd.conf.templ > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-mysql/dpmcopyd.conf
 	rm $(INSTALLDIR)$(_sysconfdir)/dpmcopyd.conf.templ
 
+	# dpmcopyd log directory and log rotation configuration
